package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[嵌套流程]
 */
public class PSWFPROCSUBWF implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 嵌套流程名称
     */
    private String pSWFPROCSUBWFName;

    @JsonIgnore
    private boolean pSWFPROCSUBWFNameDirtyFlag;
    
    /**
     * 嵌套流程标识
     */
    private String pSWFPROCSUBWFId;

    @JsonIgnore
    private boolean pSWFPROCSUBWFIdDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 流程嵌套实体数据集
     */
    private String subwfdedataset;

    @JsonIgnore
    private boolean subwfdedatasetDirtyFlag;
    
    /**
     * 业务流程版本标识
     */
    private String pSWFVersionId;

    @JsonIgnore
    private boolean pSWFVersionIdDirtyFlag;
    
    /**
     * 流程嵌套实体标识
     */
    private String subwfdeid;

    @JsonIgnore
    private boolean subwfdeidDirtyFlag;
    
    /**
     * 流程处理标识
     */
    private String pSWFProcessId;

    @JsonIgnore
    private boolean pSWFProcessIdDirtyFlag;
    
    /**
     * 业务工作流标识
     */
    private String pSWorkflowId;

    @JsonIgnore
    private boolean pSWorkflowIdDirtyFlag;
    

    /**
     * 获取 [嵌套流程名称]
     */
    @JsonProperty("pswfprocsubwfname")
    public String getPSWFPROCSUBWFName(){
        return this.pSWFPROCSUBWFName ;
    }

    /**
     * 设置 [嵌套流程名称]
     */
    @JsonProperty("pswfprocsubwfname")
    public void setPSWFPROCSUBWFName(String  pSWFPROCSUBWFName){
        this.pSWFPROCSUBWFName = pSWFPROCSUBWFName ;
        this.pSWFPROCSUBWFNameDirtyFlag = true ;
    }

    /**
     * 获取 [嵌套流程名称]脏标记
     */
    @JsonIgnore
    public boolean getPSWFPROCSUBWFNameDirtyFlag(){
        return this.pSWFPROCSUBWFNameDirtyFlag ;
    }

    /**
     * 获取 [嵌套流程标识]
     */
    @JsonProperty("pswfprocsubwfid")
    public String getPSWFPROCSUBWFId(){
        return this.pSWFPROCSUBWFId ;
    }

    /**
     * 设置 [嵌套流程标识]
     */
    @JsonProperty("pswfprocsubwfid")
    public void setPSWFPROCSUBWFId(String  pSWFPROCSUBWFId){
        this.pSWFPROCSUBWFId = pSWFPROCSUBWFId ;
        this.pSWFPROCSUBWFIdDirtyFlag = true ;
    }

    /**
     * 获取 [嵌套流程标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFPROCSUBWFIdDirtyFlag(){
        return this.pSWFPROCSUBWFIdDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [流程嵌套实体数据集]
     */
    @JsonProperty("subwfdedataset")
    public String getSubwfdedataset(){
        return this.subwfdedataset ;
    }

    /**
     * 设置 [流程嵌套实体数据集]
     */
    @JsonProperty("subwfdedataset")
    public void setSubwfdedataset(String  subwfdedataset){
        this.subwfdedataset = subwfdedataset ;
        this.subwfdedatasetDirtyFlag = true ;
    }

    /**
     * 获取 [流程嵌套实体数据集]脏标记
     */
    @JsonIgnore
    public boolean getSubwfdedatasetDirtyFlag(){
        return this.subwfdedatasetDirtyFlag ;
    }

    /**
     * 获取 [业务流程版本标识]
     */
    @JsonProperty("pswfversionid")
    public String getPSWFVersionId(){
        return this.pSWFVersionId ;
    }

    /**
     * 设置 [业务流程版本标识]
     */
    @JsonProperty("pswfversionid")
    public void setPSWFVersionId(String  pSWFVersionId){
        this.pSWFVersionId = pSWFVersionId ;
        this.pSWFVersionIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务流程版本标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFVersionIdDirtyFlag(){
        return this.pSWFVersionIdDirtyFlag ;
    }

    /**
     * 获取 [流程嵌套实体标识]
     */
    @JsonProperty("subwfdeid")
    public String getSubwfdeid(){
        return this.subwfdeid ;
    }

    /**
     * 设置 [流程嵌套实体标识]
     */
    @JsonProperty("subwfdeid")
    public void setSubwfdeid(String  subwfdeid){
        this.subwfdeid = subwfdeid ;
        this.subwfdeidDirtyFlag = true ;
    }

    /**
     * 获取 [流程嵌套实体标识]脏标记
     */
    @JsonIgnore
    public boolean getSubwfdeidDirtyFlag(){
        return this.subwfdeidDirtyFlag ;
    }

    /**
     * 获取 [流程处理标识]
     */
    @JsonProperty("pswfprocessid")
    public String getPSWFProcessId(){
        return this.pSWFProcessId ;
    }

    /**
     * 设置 [流程处理标识]
     */
    @JsonProperty("pswfprocessid")
    public void setPSWFProcessId(String  pSWFProcessId){
        this.pSWFProcessId = pSWFProcessId ;
        this.pSWFProcessIdDirtyFlag = true ;
    }

    /**
     * 获取 [流程处理标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFProcessIdDirtyFlag(){
        return this.pSWFProcessIdDirtyFlag ;
    }

    /**
     * 获取 [业务工作流标识]
     */
    @JsonProperty("psworkflowid")
    public String getPSWorkflowId(){
        return this.pSWorkflowId ;
    }

    /**
     * 设置 [业务工作流标识]
     */
    @JsonProperty("psworkflowid")
    public void setPSWorkflowId(String  pSWorkflowId){
        this.pSWorkflowId = pSWorkflowId ;
        this.pSWorkflowIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务工作流标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWorkflowIdDirtyFlag(){
        return this.pSWorkflowIdDirtyFlag ;
    }



}
