package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.List;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.r7.runtime.wf.util.SearchContext;

@Data
public class OrgDeptWFVerSearchContext extends SearchContext implements Serializable {

	public String n_orgdeptwfvername_like;//[部门流程版本名称]
	public String n_orgdeptname_eq;//[部门名称]
	public String n_orgdeptname_like;//[部门名称]
	public String n_pswfversionname_eq;//[业务流程版本名称]
	public String n_pswfversionname_like;//[业务流程版本名称]
	public String n_psworkflowname_eq;//[业务工作流名称]
	public String n_psworkflowname_like;//[业务工作流名称]
	public String n_orgdeptid_eq;//[部门标识]
	public String n_psworkflowid_eq;//[业务工作流标识]
	public String n_pswfversionid_eq;//[业务流程版本标识]

}