package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.List;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.r7.runtime.wf.util.SearchContext;

@Data
public class WFWorklistSearchContext extends SearchContext implements Serializable {

	public Integer n_isclosed_eq;//[是否关闭]
	public Integer n_isclosed_noteq;//[是否关闭]
	public String n_wfworklistname_like;//[处理环节]
	public Integer n_done_eq;//[已处理]
	public Integer n_done_noteq;//[已处理]
	public String n_orgdeptname_eq;//[部门名称]
	public String n_orgdeptname_like;//[部门名称]
	public String n_wfuserid_eq;//[工作流用户标识]
	public String n_pswfroleid_eq;//[平台流程角色标识]
	public String n_orgdeptid_eq;//[部门标识]
	public String n_orgdeptuserid_eq;//[部门用户标识]
	public String n_wfinstanceid_eq;//[工作流实例标识]
	public String n_orgid_eq;//[组织标识]

}