package cn.ibizlab.r7.runtime.wf.selectapp.r7rt_wf.filter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.List;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.r7.runtime.wf.util.SearchContext;

@Data
public class PSWFVersionSearchContext extends SearchContext implements Serializable {

	public String n_pswfversionname_like;//[版本名称]
	public String n_orgdeptname_eq;//[部门名称]
	public String n_orgdeptname_like;//[部门名称]
	public String n_orgname_eq;//[组织名称]
	public String n_orgname_like;//[组织名称]
	public String n_psworkflowname_eq;//[业务工作流名称]
	public String n_psworkflowname_like;//[业务工作流名称]
	public String n_orgid_eq;//[组织标识]
	public String n_psworkflowid_eq;//[业务工作流标识]
	public String n_wfappid_eq;//[工作流应用标识]
	public String n_wfmodeid_eq;//[工作流模式标识]
	public String n_orgdeptid_eq;//[部门标识]

}