package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWFPROCSUBWF;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface PSWFPROCSUBWFFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfprocsubwfs")
    public PSWFPROCSUBWF create(@RequestBody PSWFPROCSUBWF pswfprocsubwf) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/pswfprocsubwfs/{pswfprocsubwf_id}")
    public Boolean remove(@PathVariable("pswfprocsubwf_id") String pswfprocsubwf_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfprocsubwfs/{pswfprocsubwf_id}/save")
    public PSWFPROCSUBWF save(@PathVariable("pswfprocsubwf_id") String pswfprocsubwf_id, @RequestBody PSWFPROCSUBWF pswfprocsubwf) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswfprocsubwfs/{pswfprocsubwf_id}/getdraft")
    public PSWFPROCSUBWF getDraft(@PathVariable("pswfprocsubwf_id") String pswfprocsubwf_id, @RequestBody PSWFPROCSUBWF pswfprocsubwf) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/pswfprocsubwfs/{pswfprocsubwf_id}")
    public PSWFPROCSUBWF update(@PathVariable("pswfprocsubwf_id") String pswfprocsubwf_id, @RequestBody PSWFPROCSUBWF pswfprocsubwf) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswfprocsubwfs/{pswfprocsubwf_id}")
    public PSWFPROCSUBWF get(@PathVariable("pswfprocsubwf_id") String pswfprocsubwf_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfprocsubwfs/checkkey")
    public Boolean checkKey(@RequestBody PSWFPROCSUBWF pswfprocsubwf) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/pswfprocsubwfs/fetchdefault")
	public Page<PSWFPROCSUBWF> fetchDefault(PSWFPROCSUBWFSearchContext searchContext) ;
}
