package cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.domain.OrgDeptWFVer;
import cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.filter.*;


public interface OrgDeptWFVerFeignClient {



	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/orgdeptwfvers/{orgdeptwfver_id}/getdraft")
    public OrgDeptWFVer getDraft(@PathVariable("orgdeptwfver_id") String orgdeptwfver_id, @RequestBody OrgDeptWFVer orgdeptwfver) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/orgdeptwfvers/{orgdeptwfver_id}/save")
    public OrgDeptWFVer save(@PathVariable("orgdeptwfver_id") String orgdeptwfver_id, @RequestBody OrgDeptWFVer orgdeptwfver) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/orgdeptwfvers/{orgdeptwfver_id}")
    public Boolean remove(@PathVariable("orgdeptwfver_id") String orgdeptwfver_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/orgdeptwfvers")
    public OrgDeptWFVer create(@RequestBody OrgDeptWFVer orgdeptwfver) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/orgdeptwfvers/{orgdeptwfver_id}")
    public OrgDeptWFVer update(@PathVariable("orgdeptwfver_id") String orgdeptwfver_id, @RequestBody OrgDeptWFVer orgdeptwfver) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/orgdeptwfvers/checkkey")
    public Boolean checkKey(@RequestBody OrgDeptWFVer orgdeptwfver) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/orgdeptwfvers/{orgdeptwfver_id}")
    public OrgDeptWFVer get(@PathVariable("orgdeptwfver_id") String orgdeptwfver_id) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/orgdeptwfvers/fetchdefault")
	public Page<OrgDeptWFVer> fetchDefault(OrgDeptWFVerSearchContext searchContext) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/orgdeptwfvers/fetchcurorgdept")
	public Page<OrgDeptWFVer> fetchCurOrgDept(OrgDeptWFVerSearchContext searchContext) ;
}
